Subject: Re: gitk highlighting descendents/ancestors

From: Matthias Kestenholz <[email-masked]>
Date: Mon, 29 May 2006 14:55:37 +0200

Hi,

* Paul Mackerras ([email-masked]) wrote:
> I have implemented a feature in gitk (on the "new" branch) where it
> can highlight the commits that are, or are not, descendents or
> ancestors of the selected commit.  For now it is invoked via a
> drop-down menu.  Does this look useful to people?
> 

Yes, this is very useful for me. I have a complicated history graph
because I manage the codebase for several websites with one git
repository. It gets very hard to follow the colored lines in gitk
when there are many merges of feature branches.

The most useful feature for me is probably the "ancestor" view; "not
ancestor" could also be interesting if I wanted to visualize which
feature branches were already merged and which are not.

Thanks,
Matthias